%global npmname keypress
%global npminstdir /usr/lib/node_modules/%{npmname}

Summary: Make any Node ReadableStream emit keypress events
Name: nodejs-%{npmname}
Version: 0.1.0
Release: 1%{?dist}
Group: Development/Languages
License: MIT
URL: https://github.com/TooTallNate/keypress
Source0: http://registry.npmjs.org/%{npmname}/-/%{npmname}-%{version}.tgz
BuildArch: noarch
Requires: nodejs
Provides: nodejs-%{npmname} = %{version}

%description
Previous to Node `v0.8.x`, there was an undocumented `"keypress"` event that
`process.stdin` would emit when it was a TTY. Some people discovered this hidden
gem, and started using it in their own code.

Now in Node `v0.8.x`, this `"keypress"` event does not get emitted by default,
but rather only when it is being used in conjuction with the `readline` (or by
extension, the `repl`) module.

This module is the exact logic from the node `v0.8.x` releases ripped out into its
own module.

__Bonus:__ Now with mouse support!

%prep
%setup -q -n package

%build

%install
# Setup and copy packages over
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{npminstdir}
cp -pr index.js package.json %{buildroot}/%{npminstdir}

# Setup the dependancies

# Run the scripts (except test scripts)

# Setup Binaries

%files
%doc README.md
%{npminstdir}

%changelog
* Wed Nov 14 2012 Troy Dawson <tdawson@redhat.com> - 0.1.0-1
- Initial build using tchor spec template

